summaryrefslogtreecommitdiff
path: root/test-art-target-test.sh
diff options
context:
space:
mode:
authorVishal Bhoj <vishal.bhoj@linaro.org>2016-01-26 19:47:06 +0530
committerVishal Bhoj <vishal.bhoj@linaro.org>2016-01-26 19:53:11 +0530
commitd46bad96b73054381e5b097594c2258f8ccfd7a3 (patch)
tree9ae5cb8798df2e2006f2025b80a33db898b8107b /test-art-target-test.sh
parentf137ce8dbd7f48c7968305f99adcc6297ae07943 (diff)
downloadart-build-tests.sh-d46bad96b73054381e5b097594c2258f8ccfd7a3.tar.gz
test-art-target-test: Exit on broken AOSP tip or Device missing case
Signed-off-by: Vishal Bhoj <vishal.bhoj@linaro.org>
Diffstat (limited to 'test-art-target-test.sh')
-rwxr-xr-xtest-art-target-test.sh14
1 files changed, 13 insertions, 1 deletions
diff --git a/test-art-target-test.sh b/test-art-target-test.sh
index 9722927..3af4c38 100755
--- a/test-art-target-test.sh
+++ b/test-art-target-test.sh
@@ -24,11 +24,23 @@ export ANDROID_COMPILE_WITH_JACK=false
export CUSTOM_TARGET_LINKER=/data/local/tmp/system/bin/linker64
export ANDROID_PRODUCT_OUT=$PWD/out/target/product/armv8/
export TARGET_PRODUCT=armv8
-time ./art/tools/buildbot-build.sh -j12 --target
+./art/tools/buildbot-build.sh -j12 --target
+
+if [[ $? -ne 0 ]]; then
+ echo "Error: *** buildbot-build setup failed. Exiting the build"
+ exit 1
+fi
+
# Build servers do not necessarily have up to date udev rules, start adb-server
# as root to avoid the issue
[[ $JENKINS_MODE ]] && sudo out/host/linux-x86/bin/adb start-server
[[ $JENKINS_MODE ]] && adb root
+
+if [[ $? -ne 0 ]]; then
+ echo "Error: *** Device is not accessible. Please check the setup"
+ exit 1
+fi
+
[[ $JENKINS_MODE ]] && echo "Building on: " `hostname` >> $WORKSPACE/device_log.txt
[[ $JENKINS_MODE ]] && echo "***********************************************" >> $WORKSPACE/device_log.txt
[[ $JENKINS_MODE ]] && echo "****** Battery level before 64bit tests ********" >> $WORKSPACE/device_log.txt